Skip to main content
GET
/
partners
/
businesses
/
{id}
/
earnings
List a partner business referral's earnings
curl --request GET \
  --url https://api.whop.com/api/v1/partners/businesses/{id}/earnings \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.whop.com/api/v1/partners/businesses/{id}/earnings"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.whop.com/api/v1/partners/businesses/{id}/earnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "account": {
        "id": "<string>",
        "logo_url": "<string>",
        "route": "<string>",
        "title": "<string>"
      },
      "cancelation_reason": "<string>",
      "commission_amount_usd": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "financial_activity": [
        {
          "amount": "<string>",
          "amount_usd": "<string>",
          "category": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "currency": "<string>",
          "type": "income"
        }
      ],
      "id": "<string>",
      "object": "business_referral_earning",
      "payout_at": "2023-11-07T05:31:56Z",
      "payout_percentage": 123,
      "product": {
        "id": "<string>",
        "route": "<string>",
        "title": "<string>"
      },
      "resource": {
        "alternative_payment_method": {
          "image_url": "<string>",
          "name": "<string>"
        },
        "brand": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "currency": "<string>",
        "id": "<string>",
        "last4": "<string>",
        "object": "receipt",
        "payment_method_type": "<string>",
        "processor": "<string>"
      },
      "second_tier": true,
      "status": "pending",
      "transaction_amount_usd": "<string>"
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true,
    "start_cursor": "<string>"
  }
}
{
"error": {
"message": "<string>",
"type": "<string>"
}
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-07-08-1"

Path Parameters

id
string
required

The business referral ID (a coma_ identifier).

Query Parameters

status
enum<string>

Filter by earning status.

Available options:
awaiting_settlement,
pending,
completed,
canceled,
reversed
first
integer
default:20
Required range: x <= 100
after
string
last
integer
Required range: x <= 100
before
string
order
enum<string>
default:created_at

The field to sort earnings by.

Available options:
created_at,
commission_amount,
transaction_amount,
payout_at
direction
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
created_before
string

Only return earnings created before this timestamp.

created_after
string

Only return earnings created after this timestamp.

Response

earnings listed

data
object[]
required
page_info
object
required